package ru.yandex.direct.proxy.model.web.callstep;

import com.fasterxml.jackson.annotation.JsonProperty;

public class CallStepErrorResponse implements CallStepResponse {
    @JsonProperty("error")
    private String error;

    @Override
    public boolean isSuccessful() {
        return false;
    }

    public String getError() {
        return error;
    }

    public CallStepErrorResponse withError(String error) {
        this.error = error;
        return this;
    }
}
